修复错误:您的PHP安装似乎缺少WordPress所需的MySQL扩展

您的PHP安装似乎缺少WordPress所需的MySQL扩展”是许多博客和网站所有者遇到的一个错误, WordPress.
这不是引起关注的原因。 缺少MySQL扩展 从PHP开始,通常是从头开始安装的操作系统,VPS或专用服务器,其中PHP扩展名不属于安装软件包。 这两个问题都存在 Ubuntu的CentOS的。 在这种情况下,只需通过PHP更新和安装模块“PHP,MySQL的“。
更新PHP并在Ubuntu上安装MySQL扩展

apt-get update
apt-get install php-mysql

更新PHP并在CentOS上安装MySQL扩展

yum update
yum install php70w-mysql

完成此步骤后, 重新启动Apache服务Nginx的.

我还遇到了以下场景:尽管PHP中存在MySQL扩展,但是在WordPress上创建的博客显示错误“您的PHP安装似乎缺少WordPress所需的MySQL扩展”。 大多数时候,安装WordPress时会发生错误。 但是,这次,他出现在一个活跃了几年的博客上。
在这种情况下,我发现问题不在于PHP模块,而在于非常老的WordPress版本,该版本不再与PHP 7.4.4RC1兼容。 将WordPress简单升级到最新版本即可解决该错误。

修复错误:您的PHP安装似乎缺少WordPress所需的MySQL扩展

关于作者

隐形

对所有小工具和IT充满热情,我对隐身性感到高兴settings.com自2006年以来,我希望与您一起发现有关计算机和操作系统macOS,Linux, Windows,iOS和Android。

发表评论